Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.scheduling.quartz
Class DelegatingJob

    java.lang.Object
      org.springframework.scheduling.quartz.DelegatingJob

All Implemented Interfaces:
  org.quartz.Job

    public class DelegatingJob

extends java.lang.Object
implements org.quartz.Job

Simple Quartz `Job` adapter that delegates to a given `Runnable` instance.

Typically used in combination with property injection on the Runnable instance, receiving parameters from the Quartz JobDataMap that way instead of via the JobExecutionContext.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `SpringBeanJobFactory`, `Job.execute(org.quartz.JobExecutionContext)`

Constructor Summary
`DelegatingJob(java.lang.Runnable delegate)` Create a new DelegatingJob.

Method Summary
`void` | `execute(org.quartz.JobExecutionContext context)` Delegates execution to the underlying Runnable.
`java.lang.Runnable` | `getDelegate()` Return the wrapped Runnable implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingJob

    public DelegatingJob(java.lang.Runnable delegate)

  Create a new DelegatingJob.

  Parameters:
    `delegate` - the Runnable implementation to delegate to

Method Detail

### getDelegate

    public final java.lang.Runnable getDelegate()

  Return the wrapped Runnable implementation.

### execute

    public void execute(org.quartz.JobExecutionContext context)
                 throws org.quartz.JobExecutionException

  Delegates execution to the underlying Runnable.

  Specified by:
    `execute` in interface `org.quartz.Job`
  Throws:
    `org.quartz.JobExecutionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD